<?php get_header(); ?>
		<div id="content" class="clearfix">
			<div id="left-col">
				<div id="left-top">
					<div class="left-content">
						<?php if (have_posts()) : ?>
							<?php while (have_posts()) : the_post(); ?>
								<?php $attachment_link = get_the_attachment_link($post->ID, true, array(450, 800)); // This also populates the iconsize for the next line ?>
								<?php $_post = &get_post($post->ID); $classname = ($_post->iconsize[0] <= 128 ? 'small' : '') . 'attachment'; // This lets us style narrow icons specially ?>
								<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link',woothemes); ?>: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
								<p class="<?php echo $classname; ?>"><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>
								<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
								<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages',woothemes).':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
					</div>
					<div class="featured">
						<div class="left-content-blank">
							<?php _e('This entry was posted on',woothemes); ?> <?php the_time('l, F jS, Y') ?> <?php _e('at',woothemes); ?> <?php the_time() ?>	<?php _e('and is filed under',woothemes); ?> <?php the_category(', ') ?>.	<?php _e('You can follow any responses to this entry through the',woothemes); ?> <?php comments_rss_link('RSS 2.0'); ?> <?php _e('feed',woothemes); ?>.		
							
							<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) { ?>
									<?php _e('You can',woothemes); ?> <a href="#respond"><?php _e('leave a response',woothemes); ?></a>, <?php _e('or',woothemes); ?> <a href="<?php trackback_url(); ?>" rel="trackback"><?php _e('trackback',woothemes); ?></a> <?php _e('from your own site',woothemes); ?>.
							<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) { ?>
									<?php _e('Responses are currently closed, but you can',woothemes); ?> <a href="<?php trackback_url(); ?> " rel="trackback"><?php _e('trackback',woothemes); ?></a> <?php _e('from your own site',woothemes); ?>.
					
							<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) { ?>
									<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.',woothemes); ?>
					
							<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) { ?>
									<?php _e('Both comments and pings are currently closed',woothemes); ?>.
			
							<?php } edit_post_link('Edit this entry.','',''); ?>
						</div>
					</div>
					<?php comments_template(); ?>
							<?php endwhile; ?>
						<?php else:  ?>
								<h2 class="pink"><span class="georgia">404</span> - <?php _e('Page Not Found',woothemes); ?></h2>
							</div>
							<div class="inner-columns clearfix">
								<div class="left-left">
									<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=-".$category_id."&paged=$paged&showposts=2"); if (have_posts()) : ?>
										<?php while (have_posts()) : the_post(); $count++; ?>
											<?php if($count <= 2) : ?>
												<div class="post-fancy">
												<h5 class="uppercase light"><?php _e('Posted on',woothemes); ?> <?php the_time('F j, Y'); ?> - <?php _e('by',woothemes); ?> <?php the_author_posts_link(); ?></h5>
												<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to',woothemes); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
												<div class="category"><?php the_category(' ') ?></div>
												<?php the_excerpt(""); ?>
												</div>
											<?php else: ?>
												<div class="post-top">
												<h6><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h6>
												<h5 class="pink-links"><?php _e('by',woothemes); ?> <?php the_author_posts_link(); ?> <?php _e('on',woothemes); ?> <?php the_time('F j, Y'); ?></h5>
												</div>
											<?php endif; ?>
										<?php endwhile; ?>
									<?php endif; ?>
								</div>
								<div class="left-right">
									<?php query_posts("cat=".$category_id."&showposts=3"); if (have_posts()) : ?>
										<?php while (have_posts()) : the_post(); $count++; ?>
										<div class="post">
											<h5 class="pink-links uppercase"><?php the_category(' ') ?></h5>
											<h4><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h4>
											<?php the_excerpt(); ?>
										</div>
										<?php endwhile; ?>
									<?php endif; ?>
									<a href="<?php echo get_category_link($category_id);?>" class="archives dark uppercase small georgia"><?php _e('View The Archives',woothemes); ?></a><br />
								</div>
							</div>
						<?php endif; ?>
				</div><div id="left-bottom"></div>
			</div>
			<div id="right-col">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
<?php get_footer(); ?>